org.springframework.cloud.dataflow.rest.client

## Interface DataFlowOperations

- All Known Implementing Classes:
    DataFlowTemplate

      public interface DataFlowOperations

  Interface the REST clients implement to interact with spring-cloud-dataflow REST API.
  Author:
    Ilayaperumal Gopinathan, Glenn Renfro, Mark Fisher, Eric Bottard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AboutOperations` | `aboutOperation()`
    `AppRegistryOperations` | `appRegistryOperations()`
    `CompletionOperations` | `completionOperations()`
    `JobOperations` | `jobOperations()`
    `RuntimeOperations` | `runtimeOperations()`
    `SchedulerOperations` | `schedulerOperations()`
    `StreamOperations` | `streamOperations()`
    `TaskOperations` | `taskOperations()`

- - ### Method Detail

    - #### streamOperations

          StreamOperations streamOperations()

      Returns:
        Stream related operations.

    - #### taskOperations

          TaskOperations taskOperations()

      Returns:
        Task related operations.

    - #### jobOperations

          JobOperations jobOperations()

      Returns:
        Job related operations.

    - #### appRegistryOperations

          AppRegistryOperations appRegistryOperations()

      Returns:
        Application registry related operations.

    - #### completionOperations

          CompletionOperations completionOperations()

      Returns:
        DSL Completion related operations.

    - #### runtimeOperations

          RuntimeOperations runtimeOperations()

      Returns:
        Runtime related operations.

    - #### aboutOperation

          AboutOperations aboutOperation()

      Returns:
        "About" related operations.

    - #### schedulerOperations

          SchedulerOperations schedulerOperations()

      Returns:
        Scheduler related operations.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.